### Method

# Adw PreferencesWindow push_subpage

deprecated: 1.6 since: 1.4

#### Declaration [src]

    void
    adw_preferences_window_push_subpage (
      AdwPreferencesWindow* self,
      AdwNavigationPage* page
    )

#### Description [src]

Pushes `page` onto the subpage stack of `self`.

The page will be automatically removed when popped.

Available since: 1.4

Deprecated since: 1.6

Use `AdwPreferencesDialog`.

#### Parameters

`page`

  Type: `AdwNavigationPage`

  The subpage.

  The data is owned by the caller of the method.